Bug 189043 - multimedia/mlt: broken with clang
Summary: multimedia/mlt: broken with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alberto Villa
URL:
Keywords:
: 187475 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-04-27 11:10 UTC by fullermd
Modified: 2014-09-24 07:43 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (688 bytes, patch)
2014-04-27 11:10 UTC, fullermd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fullermd 2014-04-27 11:10:00 UTC
	Build fails with clang:

	cc: error: unknown argument: '-fno-tree-dominator-opts'
	cc: error: unknown argument: '-fno-tree-pre'

Fix: (raw patch; would probably need to check against gcc as comments in
configure suggest, but this gets it building at least).
Comment 1 Edwin Groothuis freebsd_committer 2014-04-27 11:10:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->avilla

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 fullermd 2014-09-11 02:27:23 UTC
Still happening, patch still applies clean.
Comment 3 Nikola Kolev 2014-09-11 14:16:02 UTC
Hi,

send mail to portmgr@FreeBSD.org about long time inactive maintainer.
Comment 4 Alberto Villa freebsd_committer 2014-09-24 00:29:46 UTC
*** Bug 187475 has been marked as a duplicate of this bug. ***
Comment 5 commit-hook freebsd_committer 2014-09-24 00:49:39 UTC
A commit references this bug:

Author: avilla
Date: Wed Sep 24 00:48:45 UTC 2014
New revision: 369138
URL: http://svnweb.freebsd.org/changeset/ports/369138

Log:
  - Fix build with Clang.

  PR:		189043
  MFH:		2014Q3

Changes:
  head/multimedia/mlt/files/patch-gite50606c
Comment 6 commit-hook freebsd_committer 2014-09-24 07:43:10 UTC
A commit references this bug:

Author: avilla
Date: Wed Sep 24 07:42:21 UTC 2014
New revision: 369163
URL: http://svnweb.freebsd.org/changeset/ports/369163

Log:
  MFH: r369138

  - Fix build with Clang.

  PR:		189043
  Approved by:	portmgr (rea)

Changes:
_U  branches/2014Q3/
  branches/2014Q3/multimedia/mlt/files/patch-gite50606c